package com.sckw.payment.model.vo.req;

import com.sckw.core.model.base.IdsList;
import com.sckw.core.model.base.TimeBase;
import com.sckw.core.model.vo.BasePara;
import com.sckw.payment.model.constant.SettlementEnum;

import java.io.Serial;

/**
 * @author xucaiqin
 * @date 2023-07-18 11:29
 */
public class SettlementTradeReq extends BasePara implements TimeBase, IdsList {
    @Serial
    private static final long serialVersionUID = -508783597831158781L;

    private String startCreateTime;

    private String endCreateTime;

    private String startReceiptTime;

    private String endReceiptTime;

    /**
     * @see SettlementEnum
     */
    private Integer status;
    private String trading;
    private Integer unitType;
    private Integer unitTypeTwo;

    public String getTrading() {
        return trading;
    }

    public void setTrading(String trading) {
        this.trading = trading;
    }

    public Integer getUnitTypeTwo() {
        return unitTypeTwo;
    }

    public void setUnitTypeTwo(Integer unitTypeTwo) {
        this.unitTypeTwo = unitTypeTwo;
    }

    private String ids;
    private Long entId;

    public Long getEntId() {
        return entId;
    }

    public void setEntId(Long entId) {
        this.entId = entId;
    }

    public Integer getUnitType() {
        return unitType;
    }

    public void setUnitType(Integer unitType) {
        this.unitType = unitType;
    }

    public String getStartCreateTime() {
        return getStartDateTime(startCreateTime);
    }

    public void setStartCreateTime(String startCreateTime) {
        this.startCreateTime = startCreateTime;
    }

    public String getEndCreateTime() {
        return getEndDateTime(endCreateTime);
    }

    public void setEndCreateTime(String endCreateTime) {
        this.endCreateTime = endCreateTime;
    }

    public String getStartReceiptTime() {
        return getStartDateTime(startReceiptTime);
    }

    public void setStartReceiptTime(String startReceiptTime) {
        this.startReceiptTime = startReceiptTime;
    }

    public String getEndReceiptTime() {
        return getEndDateTime(endReceiptTime);
    }

    public void setEndReceiptTime(String endReceiptTime) {
        this.endReceiptTime = endReceiptTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public void check() {
        getStartCreateTime();
        getEndCreateTime();
        getStartReceiptTime();
        getEndReceiptTime();
    }
}
